# Yuki's IPTV Playlists

This is an opinionated collection of regional playlists for use with clients such as Kodi PVR IPTV Simple Client, so you can pretend you've got cable TV :)

## Features

- Channel numbers, inspired from local TV provider numbering, matching them where possible
- Radio stations, with their channel numbers corresponding to their FM/AM frequencies (on Kodi, they're showing up in a different Radio tab)
- Customized by market, so you have your local CBC station on the right channel number where possible
- Links mostly pulled from [iptv-org/iptv](https://github.com/iptv-org/iptv), with a few personal and original additions
- Compatible with [iptv-org/epg](https://github.com/iptv-org/epg) where possible
- Tested with Kodi

## Installation

### Kodi

1. Install IPTV Simple Client.
2. In Kodi's PVR & Live TV settings, make sure `Use channel order from backend(s)` and `Use channel numbers from backend` in the `Channels` section are checked.
3. Pick one of the URLs corresponding to your closest city in the below section, and feed it in the IPTV Simple Client settings as the `M3U playlist URL`.
4. Make sure `Auto refresh mode` is enabled and is set to at least once a day.

## Supported markets

### Canada
#### Québec

| Market | URL | Notes
|--|--|--|
| Québec City | `https://git.a39.ca/yuki/iptv/raw/branch/main/ca/qc/quebec.m3u8` |

## FAQ

Q: It doesn't work

A: Some of these streams are geoblocked -- make sure you picked a playlist corresponding to your region and your VPN is off. Or on, and set on whichever country your playlist is from. Also, some of them aren't working 24/7, so you may want to try again later.

Q: How does this work?

A: A lot of TV and radio channels, especially the free-to-air ones, also provide their streams for free on their website. The playlists are pulling the stream from there, so this is exactly as if you're watching from their website. However, some of them, mostly specialty channels you need to subscribe to with your TV provider, are behind authentication walls and so they won't work here and they're omitted from the playlist.

Q: I want to contribute.

A: Sure! Feel free to open issues and pull requests! Also, you're encouraged to contribute to [iptv-org/iptv](https://github.com/iptv-org/iptv) as well if you come up with streams links!

Q: Is this legal?

A: `¯\_(ツ)_/¯` *(see [#legal](#legal))*

Q: How is it different from `iptv-org/iptv`?

A: While their goal is merely to provide lists by country with the possibility of mixing and matching by yourself, the goal of `yuki/iptv` is to provide something closer to the experience the local TV provider would provide, and so, more editorialized. It's pretty complementary, really.

## Legal

No video files are stored in this repository. The repository simply contains user-submitted links to publicly available video stream URLs, which to the best of our knowledge have been intentionally made publicly by the copyright holders. If any links in these playlists infringe on your rights as a copyright holder, they may be removed by sending a pull request or opening an issue. However, note that we have no control over the destination of the link, and just removing the link from the playlist will not remove its contents from the web. Note that linking does not directly infringe copyright because no copy is made on the site providing the link, and thus this is not a valid reason to send a DMCA notice. To remove this content from the web, you should contact the web host that's actually hosting the content (not a39.ca, nor the maintainers of this repository). *Thanks to [iptv-org/iptv](https://github.com/iptv-org/iptv) :)*